The software scaler is no longer GPLed.
authorDiego Biurrun <diego@biurrun.de>
Tue, 24 Feb 2009 15:11:45 +0000 (15:11 +0000)
committerDiego Biurrun <diego@biurrun.de>
Tue, 24 Feb 2009 15:11:45 +0000 (15:11 +0000)
Originally committed as revision 17556 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index a8d094f..5c055dc 100755 (executable)
--- a/configure
+++ b/configure
@@ -81,7 +81,7 @@ show_help(){
   echo "  --disable-ffplay         disable ffplay build"
   echo "  --disable-ffserver       disable ffserver build"
   echo "  --enable-postproc        enable GPLed postprocessing support [no]"
-  echo "  --enable-swscale         enable GPLed software scaler support [no]"
+  echo "  --enable-swscale         enable software scaler support [no]"
   echo "  --enable-avfilter        video filter support (replaces vhook) [no]"
   echo "  --enable-avfilter-lavf   video filters dependent on avformat [no]"
   echo "  --disable-vhook          disable video hooking support"
@@ -1684,7 +1684,6 @@ if ! enabled gpl; then
     die_gpl_disabled "libxvidcore"             libxvid
     die_gpl_disabled "FAAD2"                   libfaad2
     die_gpl_disabled "The X11 grabber"         x11grab
-    die_gpl_disabled "The software scaler"     swscale
 fi
 
 if ! enabled nonfree && enabled_any libamr_nb libamr_wb; then